RDMnet::LLRP::ProbeReply::reply_data Struct Reference

The reply_data struct. More...

`#include <llrp.h>`

Inheritance diagram for RDMnet::LLRP::ProbeReply::reply_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream) override
| reply_data::iStream More...
void | oStream (ACN::PDU::Stream) const override
| reply_data::oStream More...

## Public Attributes

RDM::UID | id
| device UID
uint8_t | address [6]
| device address
uint8_t | type
| address type

## Detailed Description

The reply_data struct.

## Member Function Documentation

## iStream()

void RDMnet::LLRP::ProbeReply::reply_data::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

reply_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void RDMnet::LLRP::ProbeReply::reply_data::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

reply_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t RDMnet::LLRP::ProbeReply::reply_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/llrp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/llrp.cpp